Skip to main content
GET
/
flows
List flows
curl --request GET \
  --url https://api.getmembrane.com/flows \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "uuid": "<string>",
      "key": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "revision": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "integrationId": "<string>",
      "integrationUuid": "<string>",
      "integrationKey": "<string>",
      "parentUuid": "<string>",
      "parentKey": "<string>",
      "connectionId": "<string>",
      "instanceKey": "<string>",
      "isUniversal": true,
      "externalAppId": "<string>",
      "externalAppUuid": "<string>",
      "externalAppKey": "<string>",
      "flowId": "<string>",
      "universalFlowId": "<string>",
      "parametersSchema": {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "format": "<string>",
        "properties": {},
        "items": "<unknown>",
        "additionalProperties": true,
        "enum": [
          "<string>"
        ],
        "referenceRecords": [
          {}
        ],
        "referenceCollection": {
          "key": {},
          "parameters": {}
        },
        "referenceUdm": "<string>",
        "default": {},
        "allowCustom": true,
        "required": [
          "<string>"
        ],
        "minLength": 123,
        "maxLength": 123,
        "minimum": 123,
        "maximum": 123,
        "maxItems": 123,
        "readOnly": true,
        "writeOnly": true,
        "examples": [
          {}
        ],
        "anyOf": "<array>",
        "isImplied": true,
        "isSensitive": true,
        "referenceCollectionPath": "<string>",
        "referenceCollectionUri": "<string>"
      },
      "parameters": {},
      "enabled": true,
      "nodes": {},
      "autoCreateInstances": true,
      "isCustomized": true,
      "userId": "<string>",
      "tenantId": "<string>",
      "flowRevision": "<string>",
      "universalFlowRevision": "<string>",
      "customized": {
        "name": true,
        "nodes": true
      },
      "dependencies": [
        {}
      ],
      "integration": {
        "id": "<string>",
        "name": "<string>",
        "logoUri": "<string>",
        "uuid": "<string>",
        "key": "<string>",
        "description": "<string>",
        "meta": {},
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "revision": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "archivedAt": "<string>",
        "isDeactivated": true,
        "isReadOnly": true,
        "connectorId": "<string>",
        "connectorVersion": "<string>",
        "oAuthCallbackUri": "<string>",
        "parameters": {},
        "hasMissingParameters": true,
        "hasDocumentation": true,
        "hasOperations": true,
        "operationsCount": 123,
        "hasData": true,
        "dataCollectionsCount": 123,
        "hasEvents": true,
        "eventsCount": 123,
        "hasGlobalWebhooks": true,
        "hasUdm": true,
        "isTest": true,
        "externalAppId": "<string>",
        "authType": "integration-app-token",
        "optionsConfig": {}
      },
      "appliedToIntegrations": [
        {
          "element": {
            "id": "<string>",
            "name": "<string>",
            "uuid": "<string>",
            "key": "<string>",
            "description": "<string>",
            "meta": {},
            "state": "BUILDING",
            "errors": [
              {
                "message": "<string>",
                "type": "bad_request",
                "key": "<string>",
                "data": {},
                "stack": {},
                "causedByError": "<unknown>",
                "logs": [
                  {}
                ]
              }
            ],
            "revision": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "archivedAt": "<string>",
            "isDeactivated": true,
            "isReadOnly": true,
            "integrationId": "<string>",
            "integrationUuid": "<string>",
            "integrationKey": "<string>",
            "parentUuid": "<string>",
            "parentKey": "<string>",
            "connectionId": "<string>",
            "instanceKey": "<string>",
            "isUniversal": true,
            "externalAppId": "<string>",
            "externalAppUuid": "<string>",
            "externalAppKey": "<string>",
            "flowId": "<string>",
            "universalFlowId": "<string>",
            "parametersSchema": {
              "type": "<string>",
              "title": "<string>",
              "description": "<string>",
              "format": "<string>",
              "properties": {},
              "items": "<unknown>",
              "additionalProperties": true,
              "enum": [
                "<string>"
              ],
              "referenceRecords": [
                {}
              ],
              "referenceCollection": {
                "key": {},
                "parameters": {}
              },
              "referenceUdm": "<string>",
              "default": {},
              "allowCustom": true,
              "required": [
                "<string>"
              ],
              "minLength": 123,
              "maxLength": 123,
              "minimum": 123,
              "maximum": 123,
              "maxItems": 123,
              "readOnly": true,
              "writeOnly": true,
              "examples": [
                {}
              ],
              "anyOf": "<array>",
              "isImplied": true,
              "isSensitive": true,
              "referenceCollectionPath": "<string>",
              "referenceCollectionUri": "<string>"
            },
            "parameters": {},
            "enabled": true,
            "nodes": {},
            "autoCreateInstances": true,
            "isCustomized": true,
            "userId": "<string>",
            "tenantId": "<string>",
            "flowRevision": "<string>",
            "universalFlowRevision": "<string>",
            "customized": {
              "name": true,
              "nodes": true
            },
            "dependencies": [
              {}
            ]
          },
          "integration": {
            "id": "<string>",
            "name": "<string>",
            "logoUri": "<string>",
            "uuid": "<string>",
            "key": "<string>",
            "description": "<string>",
            "meta": {},
            "state": "BUILDING",
            "errors": [
              {
                "message": "<string>",
                "type": "bad_request",
                "key": "<string>",
                "data": {},
                "stack": {},
                "causedByError": "<unknown>",
                "logs": [
                  {}
                ]
              }
            ],
            "revision": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "archivedAt": "<string>",
            "isDeactivated": true,
            "isReadOnly": true,
            "connectorId": "<string>",
            "connectorVersion": "<string>",
            "oAuthCallbackUri": "<string>",
            "parameters": {},
            "hasMissingParameters": true,
            "hasDocumentation": true,
            "hasOperations": true,
            "operationsCount": 123,
            "hasData": true,
            "dataCollectionsCount": 123,
            "hasEvents": true,
            "eventsCount": 123,
            "hasGlobalWebhooks": true,
            "hasUdm": true,
            "isTest": true,
            "externalAppId": "<string>",
            "authType": "integration-app-token",
            "optionsConfig": {}
          }
        }
      ],
      "user": {
        "id": "<string>",
        "name": "<string>",
        "internalId": "<string>",
        "meta": {},
        "fields": {},
        "credentials": {},
        "lastActiveAt": "<string>",
        "isTest": true,
        "isBillable": true,
        "isActive": true,
        "aiCreditsRolling30DayLimit": 1,
        "createdAt": "<string>",
        "archivedAt": "<string>"
      },
      "connection": {
        "id": "<string>",
        "name": "<string>",
        "userId": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "tenantId": "<string>",
        "key": "<string>",
        "isTest": true,
        "connected": true,
        "disconnected": true,
        "isDefunct": true,
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "requestError": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "error": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "integrationId": "<string>",
        "connectorId": "<string>",
        "externalAppId": "<string>",
        "connectorVersion": "<string>",
        "authOptionKey": "<string>",
        "lastActiveAt": "<string>",
        "nextCredentialsRefreshAt": "<string>",
        "nextRetryTimestamp": "<string>",
        "retryAttempts": 123,
        "canTest": true,
        "canRefreshCredentials": true,
        "archivedAt": "<string>",
        "isDeactivated": true,
        "meta": {},
        "buildingAgentSessionId": "<string>",
        "clientAction": {
          "type": "connect",
          "description": "<string>",
          "uiUrl": "<string>",
          "agentInstructions": "<string>"
        }
      },
      "flow": {
        "id": "<string>",
        "name": "<string>",
        "uuid": "<string>",
        "key": "<string>",
        "description": "<string>",
        "meta": {},
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "revision": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "archivedAt": "<string>",
        "isDeactivated": true,
        "isReadOnly": true,
        "integrationId": "<string>",
        "integrationUuid": "<string>",
        "integrationKey": "<string>",
        "parentUuid": "<string>",
        "parentKey": "<string>",
        "connectionId": "<string>",
        "instanceKey": "<string>",
        "isUniversal": true,
        "externalAppId": "<string>",
        "externalAppUuid": "<string>",
        "externalAppKey": "<string>",
        "flowId": "<string>",
        "universalFlowId": "<string>",
        "parametersSchema": {
          "type": "<string>",
          "title": "<string>",
          "description": "<string>",
          "format": "<string>",
          "properties": {},
          "items": "<unknown>",
          "additionalProperties": true,
          "enum": [
            "<string>"
          ],
          "referenceRecords": [
            {}
          ],
          "referenceCollection": {
            "key": {},
            "parameters": {}
          },
          "referenceUdm": "<string>",
          "default": {},
          "allowCustom": true,
          "required": [
            "<string>"
          ],
          "minLength": 123,
          "maxLength": 123,
          "minimum": 123,
          "maximum": 123,
          "maxItems": 123,
          "readOnly": true,
          "writeOnly": true,
          "examples": [
            {}
          ],
          "anyOf": "<array>",
          "isImplied": true,
          "isSensitive": true,
          "referenceCollectionPath": "<string>",
          "referenceCollectionUri": "<string>"
        },
        "parameters": {},
        "enabled": true,
        "nodes": {},
        "autoCreateInstances": true,
        "isCustomized": true,
        "userId": "<string>",
        "tenantId": "<string>",
        "flowRevision": "<string>",
        "universalFlowRevision": "<string>",
        "customized": {
          "name": true,
          "nodes": true
        },
        "dependencies": [
          {}
        ]
      }
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

layer
enum<string>
Available options:
universal,
integration,
connection
integrationKey
string
integrationId
string
connectionId
string
connectionKey
string
instanceKey
string

Text search query to filter results

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean
universalParentId
string
tenantId
string
userId
string
isUniversal
boolean
externalAppId
string
flowId
string
universalFlowId
string

Response

200 - application/json
items
object[]
required
cursor
string